
From: Andrew Morton <akpm@osdl.org>

- Fix confusion over kmalloc retval (Alexey Dobriyan <adobriyan@gmail.com>)


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/9p/vfs_file.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN fs/9p/vfs_file.c~v9fs-vfs-file-dentry-and-directory-operations-fix fs/9p/vfs_file.c
--- 25/fs/9p/vfs_file.c~v9fs-vfs-file-dentry-and-directory-operations-fix	Mon Jun  6 14:22:10 2005
+++ 25-akpm/fs/9p/vfs_file.c	Mon Jun  6 14:24:07 2005
@@ -281,10 +281,9 @@ v9fs_file_read(struct file *filp, char _
 {
 	int retval = -1;
 	int ret = 0;
-	char *buffer = NULL;
+	char *buffer = kmalloc(count, GFP_KERNEL);
 
-	buffer = kmalloc(count, GFP_KERNEL);
-	if (buffer < 0)
+	if (buffer == 0)
 		return -ENOMEM;
 
 	retval = v9fs_read(filp, buffer, count, offset);
_
